#!/usr/bin/env python

"""
setup.py file for RNAstructure python interface
"""

from distutils.core import setup, Extension
from distutils.sysconfig import get_config_vars
import os
import rna_sources  #read in the list of RNAstructure source files (cpp and cxx) to build.

#this removes the annoying -Wstrict_prototypes warning
(opt,) = get_config_vars('OPT')
os.environ['OPT'] = " ".join(
    flag for flag in opt.split() if flag != '-Wstrict-prototypes'
)

RNAstructure_module = Extension('_RNAstructure_wrap',
								sources=rna_sources.sources,
								extra_compile_args=['-w','-O3'],
								)

setup (name = 'RNAstructure_wrap',
       version = '1.0',
       author      = "Michael Sloma",
       description = """Python interface for the RNA library""",
       ext_modules = [RNAstructure_module],
       py_modules = ["RNAstructure_wrap"]
       )
